<div class="page-header">
  <h1>{{topic.name}}</h1>
</div>

<p>
  {{topic.description}}
</p>

<h3>
<ng-pluralize count="messages.length"
                 when="{'0': 'Ei yhtään viestiä',
                     'one': '{} viesti',
                     'other': '{} viestiä'}">
</ng-pluralize>
</h3>

<ul class="media-list" ng-repeat="message in messages">
  <li class="media">
    <div class="media-body">
      <h4 class="media-heading">
        <a href="#/messages/{{message._id}}">{{message.header}}</a>
      </h4>

      <p>
        {{message.content}}
      </p>

      <p class="text-muted">
        {{message.user}}, {{message.date}}
      </p>
    </div>
  </li>
</ul>

<div ng-if="userLoggedIn">
<h2>Lisää oma viestisi</h2>
<form>
  <div class="form-group">
    <label>Otsikko</label>
    <input type="text" class="form-control" ng-model="$parent.newMessage.header">
  </div>

  <div class="form-group">
    <label>Viesti</label>
    <textarea class="form-control" ng-model="$parent.newMessage.message"></textarea>
  </div>
  <button class="btn btn-success" ng-click="addMessage()">Lisää viesti</button>
</form>
</div>